alevtd(1)

NAME
alevtd - webserver for videotext pages

SYNOPSIS
alevtd [ options ]

DESCRIPTION
alevtd is http daemon which serves videotext pages as HTML. Tune in some station with a utility like v4lctl or some TV application. Then start it and point your browser to http://localhost:5654/

Pages may be requested either in HTML format (http://localhost:5654/<page>/ or http://localhost:5654/<page>/<subpage>.html) or in ASCII text format (http://localhost:5654/<page>/<subpage>.txt). Subpage "00" can be used for pages without subpages.

OPTIONS

-h  print a short help text and the default values for all options.

-v dev
    set vbi device (default: /dev/vbi0).

-d  enable debug output.

-s  Write a start/stop notice and serious errors to the syslog. Specify this option twice to get a verbose log (additional log events like dropped connections).

-t sec
    set network timeout to >sec< seconds.

-c n
    set the number of allowed parallel connections to >n<. This is a per-thread limit.

-p port
    listen on port >port< for incoming connections. Default 5654.

-n hostname
    set the hostname which the server should use (required for redirects).

-i ip
    bind to IP-address >ip<.

-l log
    log all requests to the logfile >log< (common log format). Using "-" as filename makes alevtd print the access log to stdout, which is only useful together with the -F switch (see below).

-L log
    same as above, but additional flush every line. Useful if you want monitor the logfile with tail -f.

-u user
    set uid to >user< (after binding to the tcp port). This option is allowed for root only.

-g group
    set gid to >group< (after binding to the tcp port). This option is allowed for root only.

-F  don't run as daemon. alevtd will not fork into background, not detach from terminal and report errors to stderr.

-r  poll tv frequency, clear vtx page cache if a frequency change was detected.

SEE ALSO
alevt(1), xawtv(1), v4lctl(1)

AUTHOR
Gerd Knorr <kraxel@goldbach.in-berlin.de>

COPYRIGHT
Copyright (C) 2000 Gerd Knorr <kraxel@goldbach.in-berlin.de>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.